--
-- PostgreSQL database dump
--

-- Started on 2007-03-23 00:09:28 Central Daylight Time

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 1599 (class 1262 OID 990447)
-- Name: testxmltransform; Type: DATABASE; Schema: -; Owner: pgsql
--

CREATE DATABASE testxmltransform WITH TEMPLATE = template0 ENCODING = 'UTF8';


\connect testxmltransform

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 1600 (class 0 OID 0)
-- Dependencies: 4
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: pgsql
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1267 (class 1259 OID 990452)
-- Dependencies: 4
-- Name: pricelist; Type: TABLE; Schema: public; Owner: pgsql; Tablespace: 
--

CREATE TABLE pricelist (
    partno character varying(15) NOT NULL,
    partdesc character varying(55),
    partprice numeric(10,2),
    partretail numeric(10,2)
);


--
-- TOC entry 1601 (class 0 OID 0)
-- Dependencies: 4
-- Name: public; Type: ACL; Schema: -; Owner: pgsql
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM pgsql;
GRANT ALL ON SCHEMA public TO pgsql;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2007-03-23 00:09:28 Central Daylight Time

--
-- PostgreSQL database dump complete
--

