
  MEMBER
!================================================================
!Copyright 2007 Keystone Computer Resources
!Creation Date: 2007/02/20
!================================================================

HANDLE  EQUATE(LONG)
HWND    EQUATE(HANDLE)
HRESULT EQUATE(HANDLE)
DWORD   EQUATE(LONG)
S_OK    EQUATE(0)

  INCLUDE('vistaINIClass.inc'),ONCE

  MAP
    MODULE('kernel32.dll')
      kcr_CreateDirectory(*CSTRING szPath, LONG lpSecurityAttributes),BOOL,PASCAL,RAW,NAME('CreateDirectoryA')
      kcr_GetLastError(),LONG,PASCAL,NAME('GetLastError')
    END
    MODULE('Shfolder.dll')
      kcr_SHGetFolderPath(HWND hwnd, LONG csidl, HANDLE hToken, DWORD dwFlags, *CSTRING szPath),HRESULT,RAW,PASCAL,NAME('SHGetFolderPathA')
    END
  END

!================================================================
! vistaINIClass.Init    PROCEDURE(STRING FileName, UNSIGNED nvType, LONG extraData = 0) !,EXTENDS
!================================================================
vistaINIClass.Init  PROCEDURE(STRING FileName, UNSIGNED nvType, LONG extraData = 0) !,EXTENDS
hr          HRESULT
hFile       HANDLE
szPath      CSTRING(File:MaxFilePath)
CSIDL       LONG

  CODE
    !check for INI file type
    IF nvType = NVD_INI
       !check for simple filename
       IF ~INSTRING('\',FileName)
          !use the following to place ini files in user's "My Documents\MyCompanyName" folder
          CSIDL = CSIDL_PERSONAL

          !use the following to place ini files in the "All Users\Application Data\MyCompanyName" folder
          !remember to grant your users access rights to this folder as it is a Vista protected folder
          !CSIDL = CSIDL_COMMON_APPDATA

          hr = kcr_SHGetFolderPath(0,CSIDL,0,0,szPath)
          IF hr = S_OK
             !TODO: change 'MyCompanyName' to the name you want to call the subfolder
             szPath = LONGPATH(szPath) & '\MyCompanyName'
             IF kcr_CreateDirectory(szPath,0)
                PARENT.Init(szPath & '\' & FileName, nvType, extraData)
             ELSE
                IF kcr_GetLastError() = ERROR_ALREADY_EXISTS
                   PARENT.Init(szPath & '\' & FileName, nvType, extraData)
                ELSE
                   PARENT.Init(FileName, nvType, extraData)
                END
             END
          ELSE
             PARENT.Init(FileName, nvType, extraData)
          END
       ELSE
          PARENT.Init(FileName, nvType, extraData)
       END
    ELSE
       PARENT.Init(FileName, nvType, extraData)
    END
    RETURN
