  Program

!Example of how to shut off the "Do you want to run this software?" message that pops up when running apps across a network after installing IE7.
!Written by Jeff Slarve
!2006-12-20
!WARNING: Although this code was tested by me on my own workstation and my other computers, I haven't take painstaking steps to guarantee the safety of running this code on various systems.
!Use at your own risk.

    Map
      CheckIEAutoDetect
    end

   Code

  CheckIEAutoDetect

CheckIEAutoDetect Procedure
Settings      Group
AutoDetect      Byte
IntranetName    Byte
ProxyByPass     Byte
UNCAsIntranet   Byte
              end

  Code

  !Put Code here to check to see if the user would like to ignore the following code. Return if so.

  Settings.AutoDetect    = GetReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','AutoDetect')
  Settings.IntranetName  = GetReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','IntranetName')  !Variable is not used elsewhere, but here's an example of how to read this setting
  Settings.ProxyByPass   = GetReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','ProxyByPass')   !Variable is not used elsewhere, but here's an example of how to read this setting
  Settings.UNCAsIntranet = GetReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','UNCAsIntranet') !Variable is not used elsewhere, but here's an example of how to read this setting
!  Message(Settings.AutoDetect & ' ' & Settings.IntranetName & ' ' & Settings.ProxyByPass & ' ' & Settings.UNCAsIntranet)
  If Settings.AutoDetect
    Case Message('If you have been seeing a "Do you want to run this software?"|message every time you try to run this program, we can|shut that setting off so that you don''t see it any more.||' &|
               'Would you like to shut it off now?|','Settings Suggestion',ICON:Exclamation,'&Yes|&No|&Do not ask',2)
    of 1
      PutReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','AutoDetect'   ,FALSE,REG_DWORD)
      PutReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','IntranetName' ,TRUE ,REG_DWORD)
      PutReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','ProxyByPass'  ,TRUE ,REG_DWORD)
      PutReg(REG_CURRENT_USER,'Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap','UNCAsIntranet',TRUE ,REG_DWORD)
    of 3
      !Put Code here to store the data that says that the user doesn't want your software to check this setting any more.
    end
  end

