  Program
  Include('LoadLib.inc'),Once

LWA_COLORKEY Equate(00000001h)
LWA_ALPHA    Equate(00000002h)

GWL_EXSTYLE  Equate(-20)

WS_EX_LAYERED Equate(00080000h)

  Map
    Module('Win32API')
      SetLayeredWindowAttributes(UNSIGNED hwnd, UNSIGNED crKey, BYTE bAlpha, UNSIGNED dwFlags),BOOL, Pascal, Proc, DLL(_fp_)
      SetWindowLong(UNSIGNED hWnd, SIGNED nIndex, Long dwNewLong),Long, Pascal, Proc, Name('SetWindowLongA')
      GetWindowLong(UNSIGNED hWnd, SIGNED nIndex),Long, Pascal, Name('GetWindowLongA')
    End
  End
fpSetLayeredWindowAttributes Long, Name('SetLayeredWindowAttributes')
User32   LoadLibClass

W    WINDOW('Set Layered Window Attributes (bAlpha)'),AT(,,425,278),FONT('Tahoma',8,,),SYSTEM
       BUTTON('Close'),AT(373,257,45,14),USE(?CloseButton),STD(STD:Close)
     END

windowAlphaBlend  Byte,Auto
exStyleLong       Long,Auto
thisHWnd          UNSIGNED,Auto

  Code
  ! Attempt to get the address of SetLayeredWindowAttributes
  fpSetLayeredWindowAttributes = 0
  If User32.LlcLoadLibrary('User32.dll', Method:GetModuleHandle) = 0 !success
    fpSetLayeredWindowAttributes = User32.LlcGetProcAddress('SetLayeredWindowAttributes')
  End

  Open(W)
  thisHWnd = W{Prop:Handle} !convert the hwnd from a string to an unsigned integer

  If fpSetLayeredWindowAttributes <> 0
    !Turn the WS_EX_LAYERED extended style bit on
    ExStyleLong = GetWindowLong(thisHWnd, GWL_EXSTYLE)
    ExStyleLong = BOR(exStyleLong, WS_EX_LAYERED)
    SetWindowLong(thisHWnd, GWL_EXSTYLE, exStyleLong)

    !Fade the window from completely transparent to completely opaque
    Loop windowAlphaBlend = 0 to 255 by 5
      Yield
      SetLayeredWindowAttributes(thisHWnd, 0, windowAlphaBlend, LWA_ALPHA)
      Display
    End

    !Toggle the WS_EX_LAYERED extended style bit off
    SetWindowLong(thisHWnd, GWL_EXSTYLE, BXOR(exStyleLong, WS_EX_LAYERED) )
    Display
  End

  Accept

  End

  Close(W)
  Return