/*
 * Created by SharpDevelop.
 * User: Bernard
 * Date: 2/26/2007
 * Time: 9:37 AM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;

namespace BG_2SQL
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public partial class MainForm
	{
		[STAThread]
		public static void Main(string[] args)
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm());
		}
		
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		
		void SelectXMLClick(object sender, EventArgs e)
		{
			OpenFileDialog openFileDialog1 = new OpenFileDialog();
			openFileDialog1.Filter = "XML Files|*.xml";
			openFileDialog1.Title = "Select an XML File";			
			if(openFileDialog1.ShowDialog() == DialogResult.OK)
			{				
				XMLFileName.Text = openFileDialog1.FileName;
			}
			
		}
		
		void SelectXSLClick(object sender, EventArgs e)
		{
			OpenFileDialog openFileDialog1 = new OpenFileDialog();
			openFileDialog1.Filter = "XSLT Files|*.xslt;*.xsl";
			openFileDialog1.Title = "Select an XSLT File";			
			if(openFileDialog1.ShowDialog() == DialogResult.OK)
			{				
				XSLFileName.Text = openFileDialog1.FileName;
			}
			
		}
		
		void TransformButtonClick(object sender, EventArgs e)
		{
			// Load the XML Document
			XPathDocument myXPathDoc = new XPathDocument(XMLFileName.Text);
			// Load the XSL
			XslCompiledTransform myXslTrans = new XslCompiledTransform();
			myXslTrans.Load(XSLFileName.Text);
			// Create the output stream
			XmlTextWriter myWriter = new XmlTextWriter("SQLScript.sql", null);
			// Do the actual transformation
			myXslTrans.Transform(myXPathDoc,null,myWriter);
			myWriter.Close();
			// Open the document in the text box
			TransformationResult.LoadFile("SQLScript.sql",RichTextBoxStreamType.PlainText );
			// Transform a second time to show the structure of the XML file in the browser
			myXslTrans.Load("http://files.bgsoftfactory.com/xpath-tree-diagram.xsl");
			XmlTextWriter my2Writer = new XmlTextWriter("tree-diagram.html", null);
			myXslTrans.Transform(myXPathDoc,null,my2Writer);
			my2Writer.Close();
			string path = Directory.GetCurrentDirectory();
			Uri siteUri = new Uri(path + "\\tree-diagram.html");
			webBrowser2.Url = siteUri;
			
		}
		
		
		void WebBrowser2DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
		{
			
		}
	}
}
