<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="new_line" select="'&#xA;'" />
	<xsl:variable name="search"><xsl:text>&apos;</xsl:text></xsl:variable>
	<xsl:variable name="replace"><xsl:text>&quot;</xsl:text></xsl:variable> 
	<xsl:template match="Extract">
	<xsl:for-each select="Item">
	<xsl:text>INSERT INTO pricelist(partno,partdesc,partprice,partretail) VALUES('</xsl:text>
	
	<xsl:value-of select="partno"/>
	<xsl:text>','</xsl:text>
	<xsl:call-template name="replace-string">
        <xsl:with-param name="search" select="$search"/>
        <xsl:with-param name="replace" select="$replace"/>
        <xsl:with-param name="string" select="partdesc" />
	</xsl:call-template>
	<xsl:text>','</xsl:text>
	<xsl:value-of select="partprice"/>
	<xsl:text>','</xsl:text>
	<xsl:value-of select="partretail"/>
	<xsl:text>')</xsl:text>
	<xsl:value-of select="$new_line" />
	</xsl:for-each>
	</xsl:template>	
	
<xsl:template name="replace-string">
  <!-- search for this: -->
  <xsl:param name="search" select="string(.)"/>

  <!-- and replace it with this: -->
  <xsl:param name="replace" select="string(.)"/>

  <!-- here is the original string: -->
  <xsl:param name="string" select="string(.)"/>
  
  <xsl:choose>
    <xsl:when test="not(contains($string, $search))">
      <!-- if there are no more appearances of $search in the
        $string, output the rest of the string and stop. -->
      <xsl:value-of select="$string"/>
    </xsl:when>
    <xsl:otherwise>
      <!-- output the part of the $string that is before the
        first appearance of $search. -->
      <xsl:value-of select="substring-before($string, $search)"/>
      
      <!-- output the replacement $replace.  -->
      <xsl:value-of select="$replace"/>

      <!-- repeat the process, using the part of $string that
        comes after the first appearance of $search. -->
      <xsl:call-template name="replace-string">
        <xsl:with-param name="search" select="$search"/>
        <xsl:with-param name="replace" select="$replace"/>
        <xsl:with-param name="string" select="substring-after($string, $search)"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
