  Program
  Map
  End

ComPort File,Driver('DOS')
Record    Record
Buff        String(1024)
          End
        End

PortConfig   String(20)
PortCommand  String(20)
PortResponse String(65535)

DemoMsg      String(255)

W    WINDOW('ComPort Demo'),AT(,,395,224),FONT('MS Sans Serif',8,,FONT:regular),SYSTEM,GRAY
       STRING(@s255),AT(4,4,386,10),USE(DemoMsg),CENTER,FONT(,,COLOR:Blue,,CHARSET:ANSI)
       PROMPT('Port configuration:'),AT(4,17),USE(?PortConfig:Prompt)
       ENTRY(@s20),AT(71,17,198,10),USE(PortConfig)
       BUTTON('Init Comport'),AT(323,15,67,14),USE(?Init:Button)
       PROMPT('Command:'),AT(4,32),USE(?PortCommand:Prompt)
       ENTRY(@s20),AT(71,32,198,10),USE(PortCommand)
       BUTTON('Send to ComPort'),AT(323,31,67,14),USE(?Write:Button),DISABLE
       BUTTON('Read ComPort'),AT(3,49,67,14),USE(?Read:Button),DISABLE
       TEXT,AT(4,65,385,148),USE(PortResponse),BOXED,HVSCROLL
     END

  Code
   DemoMsg      = '(1) Type your configuration string and press the button "Init Comport".'
   PortConfig   = 'COM2:9600,N,8,1'
   PortCommand  = 'ATI4'

   Open(W)
   Accept
     Case Accepted()
     Of ?Init:Button
        Do ComPortInit
        Display()
     Of ?Write:Button
        Do ComportWrite
        Display()
     Of ?Read:Button
        Do ComportRead
        Display()
     End
   End
   Close(W)

ComportInit Routine

   ComPort{Prop:Name}=Clip(PortConfig)
   PortResponse = 'Open: ' & ComPort{Prop:Name} & '<13,10>'
   Open(ComPort,2)
   If ErrorCode()
      PortResponse = Clip(PortResponse) & ErrorCode() & ' ' & Error() & '<13,10>'
   End

   DemoMsg = '(2) Type your command string and press the button "Send to Comport".'
   Disable(?Init:Button)
   Enable(?Write:Button)
   Disable(?Read:Button)
   Display()

ComPortWrite Routine

   ComPort.Buff = Clip(PortCommand) & '<13,10>' 
   PortResponse = Clip(PortResponse) & 'Send: ' & ComPort.Buff & '<13,10>'

   Append(ComPort)
   If ErrorCode()
      PortResponse = Clip(PortResponse) & ErrorCode() & ' ' & Error() & '<13,10>'
   End

   DemoMsg = '(3) Now press the button "Read ComPort" to get the reply...'
   Disable(?Init:Button)
   Disable(?Write:Button)
   Enable(?Read:Button)
   Display()

ComPortRead Routine
   PortResponse = Clip(PortResponse) & 'Reply :<13,10>'
   Loop i# = 1 to 64 
      Get(ComPort,i#)
      If ErrorCode()
         PortResponse = Clip(PortResponse) & '<13,10>' & ErrorCode() & ' ' & Error() & '<13,10>'
         Break
      End
      If Len(Clip(Comport.Buff))
         PortResponse = Clip(PortResponse) & Clip(Comport.Buff)
      Else
         Break
      End
   End
   Close(ComPort)

   DemoMsg = '(1) Type your configuration string and press the button "Init Comport".'
   Enable(?Init:Button)
   Disable(?Write:Button)
   Disable(?Read:Button)
   Display()
