#TEMPLATE(dcGeneral,'DinamiComp - General Templates'),FAMILY('ABC')
#!--------------------------------------------------------------------------
#!
#! All Rights Reserved World Wide
#! 
#!@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
#!                                               CONTROL EXTENSION
#!@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
#CONTROL(dcDisplayCreateChangeControl,'DC Create/Change Status-Control')
   #DISPLAY ('This Code Template displays Create && Update Status.')
   #DISPLAY ('')
   #PROMPT  ('User Create Field',FIELD),%UserCreateField,REQ
   #PROMPT  ('Date Create Field',FIELD),%DateCreateField,REQ
   #PROMPT  ('Time Create Field',FIELD),%TimeCreateField,REQ
   #DISPLAY ('')
   #PROMPT  ('Change User Required?',CHECK),%ChangeUserREQ,AT(10),Default(1)
   #ENABLE(%ChangeUserREQ = 1)
      #PROMPT  ('User Change Field',FIELD),%UserChangeField,REQ
      #PROMPT  ('Date Change Field',FIELD),%DateChangeField,REQ
      #PROMPT  ('Time Change Field',FIELD),%TimeChangeField,REQ
   #ENDENABLE
   #DISPLAY ('')
   CONTROLS
      ENTRY(@s200),AT(,,290,10),USE(LOC:RecordCreatedChanged),SKIP,TRN,CENTER,READONLY
   END
#!
#!------------------------------------------------------------------------------------------------------------------------
#AT(%DataSection),PRIORITY(4000)
LOC:RecordCreatedChanged    String(200)
#ENDAT
#!
#!------------------------------------------------------------------------------------------------------------------------
#AT(%WindowManagerMethodCodeSection,'INIT'),PRIORITY(8001)
If Self.Request <> InsertRecord
  #If(%ChangeUserREQ)
   If %UserCreateField <> '' and %UserChangeField <> ''
      LOC:RecordCreatedChanged = 'Created by: ' & Clip(%UserCreateField) & ' on ' & format(%DateCreateField,@d17) & ' ' & |
                     format(%TimeCreateField,@t7) & '  -  ' & 'Changed by: ' & Clip(%UserChangeField) & ' on ' & |
                     format(%DateChangeField,@d17) & ' ' & format(%TimeChangeField,@t7)
   Elsif %UserCreateField <> '' and %UserChangeField = ''
      LOC:RecordCreatedChanged = 'Created by: ' & Clip(%UserCreateField) & ' on ' & format(%DateCreateField,@d17) & ' ' & |
                     format(%TimeCreateField,@t7)
   Elsif %UserCreateField = '' and %UserChangeField <> ''
      LOC:RecordCreatedChanged = 'Created on ' & format(%DateCreateField,@d17) & ' ' & |
                     format(%TimeCreateField,@t7) & '  -  ' & 'Changed by: ' & Clip(%UserChangeField) & ' on ' & |
                     format(%DateChangeField,@d17) & ' ' & format(%TimeChangeField,@t7)
   Else
      LOC:RecordCreatedChanged = ''
   End
  #ELSE
   If %UserCreateField <> ''
      LOC:RecordCreatedChanged = 'Created by: ' & Clip(%UserCreateField) & ' on ' & format(%DateCreateField,@d17) & ' ' & |
                     format(%TimeCreateField,@t7)
   Else
      LOC:RecordCreatedChanged = ''
   End
  #ENDIF
End
#ENDAT
#!
#!
#!@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
#!                                               CODE EXTENSION
#!@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
#CODE(dcLookupNonRelatedRecord,'DC Lookup Non-Related Record')
#DISPLAY ('This Code Template retrieves a non-related record from a file.')
#DISPLAY ('')
#PROMPT  ('Lookup Key',KEY),%LookupKey,REQ
#PROMPT  ('Lookup Field',COMPONENT(%LookupKey)),%LookupField,REQ
#PROMPT  ('Related Screen Field',FIELD),%RelatedScreenField,REQ
#DISPLAY ('')
#PROMPT  ('Related Field',FIELD),%RelatedField,REQ
#DISPLAY ('')
#PROMPT  ('Screen Field',FIELD),%ScreenField,REQ
#DISPLAY ('')
If Self.Request <> InsertRecord
   %LookupField = %RelatedField                                   #<! Move value for lookup
#FIND(%Field,%LookupField)                                        #! FIX field for lookup
   Access:%File.Fetch(%LookupKey)                                 #<! Get value from file
   %ScreenField = %RelatedScreenField
End
#!
#!
#!
